LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-28-2019, 08:28 AM   #16
dc.901
Member
 
Registered: Aug 2018
Location: Atlanta, GA - USA
Distribution: CentOS 6-7; SuSE 8-12
Posts: 654

Rep: Reputation: 199Reputation: 199

Try this and see if it works:

Code:
sudo ln -s /usr/bin/ruby /usr/bin/ruby.ruby2.5
After that, try running yast again...
 
Old 05-28-2019, 01:27 PM   #17
henk2012
LQ Newbie
 
Registered: Jan 2019
Posts: 18

Original Poster
Rep: Reputation: Disabled
W e coming closer.
henk@linux-at4l:~> sudo ln -s /usr/bin/ruby /usr/bin/ruby.ruby2.5
ln: failed to create symbolic link '/usr/bin/ruby.ruby2.5': File exists
henk@linux-at4l:~>
 
Old 05-28-2019, 02:08 PM   #18
dc.901
Member
 
Registered: Aug 2018
Location: Atlanta, GA - USA
Distribution: CentOS 6-7; SuSE 8-12
Posts: 654

Rep: Reputation: 199Reputation: 199
Quote:
Originally Posted by henk2012 View Post
W e coming closer.
henk@linux-at4l:~> sudo ln -s /usr/bin/ruby /usr/bin/ruby.ruby2.5
ln: failed to create symbolic link '/usr/bin/ruby.ruby2.5': File exists
henk@linux-at4l:~>
Interesting; so you can't create a symbolic link as the error states "File exists", but in post #15, when you did ls command, that did not show the file??

Can you try this again?

ls -ltrha /usr/bin/ruby.ruby2.5

ls -ltrha /usr/bin/rub*
 
Old 05-28-2019, 03:16 PM   #19
henk2012
LQ Newbie
 
Registered: Jan 2019
Posts: 18

Original Poster
Rep: Reputation: Disabled
here is the response
henk@linux-at4l:~> ls -ltrha /usr/bin/ruby.ruby2.5
lrwxrwxrwx 1 root root 13 May 28 19:24 /usr/bin/ruby.ruby2.5 -> /usr/bin/ruby
henk@linux-at4l:~> ls -ltrha /usr/bin/rub*
-rwxr-xr-x 1 root root 167 Feb 21 2018 /usr/bin/ruby-find-versioned
-rwxr-xr-x 1 root root 6.2K May 14 2018 /usr/bin/ruby
lrwxrwxrwx 1 root root 13 May 28 19:24 /usr/bin/ruby.ruby2.5 -> /usr/bin/ruby
henk@linux-at4l:~>
 
Old 05-28-2019, 03:56 PM   #20
mrmazda
Senior Member
 
Registered: Aug 2016
Location: USA
Distribution: openSUSE, Debian, Knoppix, Mageia, Fedora, others
Posts: 2,103

Rep: Reputation: 663Reputation: 663Reputation: 663Reputation: 663Reputation: 663Reputation: 663
Possibly there is a corrupt file. You could try force reinstalling ruby-related packages, thus:
Code:
sudo zypper in -f libruby2_5 libstorage-ng-ruby ruby ruby-common ruby2.5 ruby2.5-rubygem-abstract_method ruby2.5-rubygem-cfa ruby2.5-rubygem-cheetah ruby2.5-rubygem-fast_gettext ruby2.5-rubygem-gem2rpm ruby2.5-rubygem-ruby-augeas ruby2.5-rubygem-ruby-dbus ruby2.5-rubygem-simpleidn ruby2.5-stdlib yast2-ruby-bindings
 
1 members found this post helpful.
Old 05-29-2019, 03:28 PM   #21
henk2012
LQ Newbie
 
Registered: Jan 2019
Posts: 18

Original Poster
Rep: Reputation: Disabled
tried 4 times but no result
linux-at4l:/home/henk # zypper in -f libruby2_5 libstorage-ng-ruby ruby ruby-common ruby2.5 ruby2.5-rubygem-abstract_method ruby2.5-rubygem-cfa ruby2.5-rubygem-cheetah ruby2.5-rubygem-fast_gettext ruby2.5-rubygem-gem2rpm ruby2.5-rubygem-ruby-augeas ruby2.5-rubygem-ruby-dbus ruby2.5-rubygem-simpleidn ruby2.5-stdlib yast2-ruby-binding
Timeout exceeded when accessing 'https://download.nvidia.com/opensuse/leap/15.0/media.1/media'.
Abort, retry, ignore? [a/r/i] (r):
Autoselecting 'r' after 21 seconds.
Timeout exceeded when accessing 'https://download.nvidia.com/opensuse/leap/15.0/media.1/media'.
Abort, retry, ignore? [a/r/i] (r):
Autoselecting 'r' after 8 seconds.
Timeout exceeded when accessing 'https://download.nvidia.com/opensuse/leap/15.0/media.1/media'.
Abort, retry, ignore? [a/r/i] (r):
Trying again...
Timeout exceeded when accessing 'https://download.nvidia.com/opensuse/leap/15.0/media.1/media'.
Abort, retry, ignore? [a/r/i] (a):
Trying again...
ABORT request: Aborting requested by user
linux-at4l:/home/henk # n
 
Old 05-29-2019, 03:49 PM   #22
mrmazda
Senior Member
 
Registered: Aug 2016
Location: USA
Distribution: openSUSE, Debian, Knoppix, Mageia, Fedora, others
Posts: 2,103

Rep: Reputation: 663Reputation: 663Reputation: 663Reputation: 663Reputation: 663Reputation: 663
Disable the NVidia repo (zypper mr -d reponame) and try again. Those messages are all due to an nvidia.com problem that shouldn't have anything to do with ruby2.5.
 
1 members found this post helpful.
Old 05-29-2019, 03:55 PM   #23
henk2012
LQ Newbie
 
Registered: Jan 2019
Posts: 18

Original Poster
Rep: Reputation: Disabled
Please be complete, which reponame to use, or what do I have to remove
 
Old 05-29-2019, 04:06 PM   #24
mrmazda
Senior Member
 
Registered: Aug 2016
Location: USA
Distribution: openSUSE, Debian, Knoppix, Mageia, Fedora, others
Posts: 2,103

Rep: Reputation: 663Reputation: 663Reputation: 663Reputation: 663Reputation: 663Reputation: 663
Quote:
Originally Posted by henk2012 View Post
Please be complete, which reponame to use, or what do I have to remove
What's the actual name of the repo to be disabled?
Code:
zypper lr
Take the name that includes the string idia, and substitute it in the command I previously provided:
Code:
zypper mr -d theRepoNameFromTheZypperCommandJustRunGoesInPlaceOfThisParameter
Alternatively, navigate to /etc/zypp/repos.d/, find the file that includes the string idia, and either delete it, or change its name to not end in .repo, or edit its content to include enabled=0 instead of enabled=1.
 
1 members found this post helpful.
Old 05-29-2019, 06:08 PM   #25
henk2012
LQ Newbie
 
Registered: Jan 2019
Posts: 18

Original Poster
Rep: Reputation: Disabled
I see a number of files marked no enabled, but no file with or else the word idea. In /etc/zypp/repos.d also the word idea was not find.

linux-at4l:/home/henk # zypper lr
Repository priorities are without effect. All enabled repositories share the same priority.

# | Alias | Name | Enabled | GPG Check | Refresh
---+-------------------------------------+-----------------------------------------+---------+-----------+--------
1 | download.nvidia.com-leap | nVidia Graphics Drivers | Yes | (r ) Yes | Yes
2 | download.opensuse.org-non-oss | Main Repository (NON-OSS) | Yes | (r ) Yes | Yes
3 | download.opensuse.org-non-oss_1 | Update Repository (Non-Oss) | Yes | (r ) Yes | Yes
4 | download.opensuse.org-oss | Main Repository (OSS) | Yes | (r ) Yes | Yes
5 | download.opensuse.org-oss_1 | Main Update Repository | Yes | (r ) Yes | Yes
6 | http-download.opensuse.org-d6c11ffd | home:dl8fcl:sdr | Yes | (r ) Yes | Yes
7 | openSUSE-Leap-15.0-1 | openSUSE-Leap-15.0-1 | Yes | (r ) Yes | Yes
8 | opensuse-guide.org-repo | Libdvdcss Repository | Yes | (r ) Yes | Yes
9 | packman.inode.at-suse | Packman Repository | Yes | (r ) Yes | Yes
10 | repo-debug | openSUSE-Leap-15.0-Debug | No | ---- | ----
11 | repo-debug-non-oss | openSUSE-Leap-15.0-Debug-Non-Oss | No | ---- | ----
12 | repo-debug-update | openSUSE-Leap-15.0-Update-Debug | No | ---- | ----
13 | repo-debug-update-non-oss | openSUSE-Leap-15.0-Update-Debug-Non-Oss | No | ---- | ----
14 | repo-source | openSUSE-Leap-15.0-Source | No | ---- | ----
15 | repo-source-non-oss | openSUSE-Leap-15.0-Source-Non-Oss | No | ---- | ----
linux-at4l:/home/henk # sudo zypper in -f libruby2_5 libstor
Timeout exceeded when accessing 'https://download.nvidia.com/opensuse/leap/15.0/media.1/media'.
Abort, retry, ignore? [a/r/i] (r):
T
 
Old 05-29-2019, 06:19 PM   #26
henk2012
LQ Newbie
 
Registered: Jan 2019
Posts: 18

Original Poster
Rep: Reputation: Disabled
Its oo.17 am local time, I'm going to sleep
 
Old 05-29-2019, 06:19 PM   #27
mrmazda
Senior Member
 
Registered: Aug 2016
Location: USA
Distribution: openSUSE, Debian, Knoppix, Mageia, Fedora, others
Posts: 2,103

Rep: Reputation: 663Reputation: 663Reputation: 663Reputation: 663Reputation: 663Reputation: 663
Quote:
Originally Posted by henk2012 View Post
1 | download.nvidia.com-leap | nVidia Graphics Drivers | Yes | (r ) Yes | Yes
Try this:
Code:
sudo zypper mr -d "nVidia Graphics Drivers"
If no material errors result, repeat the comment #20 instruction.
 
2 members found this post helpful.
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Yast modules not starting xdevnull SUSE / openSUSE 2 05-11-2016 12:56 PM
When Centos 6.3 starting,All services starting OK and starting Atd: OK .And stop scr. DeSouffle Linux - General 4 08-29-2013 01:46 AM
[SOLVED] Starting File System .. Starting File System .. Starting File System .. Starting File rmknox Linux - Newbie 3 08-16-2010 12:30 AM
YaST .pot files and customizing YaST strangedub SUSE / openSUSE 0 05-12-2005 05:41 PM
Newbie problem: Starting YAST gives me "-bash: yast: command not found". cattleya Linux - Software 9 11-20-2003 12:18 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 11:24 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration